$(document).ready(function(){
	
	/*
	/*	カウントダウン（米国時間）
	*/
	$(function () {	
		// $('#countdown').countdown({until: new Date(2020, 11 - 1, 3)});
		// $('#countdown').countdown({until: new Date(2020, 11 - 1, 3), timezone: +10});
		$('#countdown').countdown({until: $.countdown.UTCDate(-5, 2020, 11 - 1, 3)}); 
	});

	/*
	/*	アコーディオン
	*/
	$(function(){
		$('.news-more').click(function(){
			$('.news-list-archive').slideToggle();
		});
	});

	/*
	/*	アンカーリンク
	*/
	$('.content-list li a, .anchor li a, .sns-list li a').click(function(){
    var speed = 500;
    var href= $(this).attr("href");
    var target = $(href == "#" || href == "" ? 'html' : href);
    var position = target.offset().top;
    $("html, body").animate({scrollTop:position}, speed, "swing");
    return false;
  });

	/*
	/*	アニメーション
	*/
	$(function () {
    var ua = navigator.userAgent;
    if (ua.indexOf('iPhone') > 0 || ua.indexOf('Android') > 0 && ua.indexOf('Mobile') > 0) {
        // sp
				$(window).scroll(function (){
					$('.fadein-top').each(function(){
						var elemPos = $(this).offset().top;
						var scroll = $(window).scrollTop();
						var windowHeight = $(window).height();
						if (scroll > elemPos - windowHeight + 100){
							$(this).addClass('scrollin');
						}
					});
				});
    } else {
        // PC
				$(window).scroll(function (){
					$('.fadein-top').each(function(){
						var elemPos = $(this).offset().top;
						var scroll = $(window).scrollTop();
						var windowHeight = $(window).height();
						if (scroll > elemPos - windowHeight + 300){
							$(this).addClass('scrollin');
						}
					});
				});
    	}
	})
	
	$(function() {
		setTimeout(function(){
			$('.fadein-pop').addClass('scrollin');
		},500); //0.5秒後にロゴをフェードイン!
	});



	/*
	/*	スマートフォン微調整
	*/

	/* TELリンクはPC版で表示しない */
	var ua = navigator.userAgent;
	if (ua.indexOf('iPhone') < 0 && ua.indexOf('Android') < 0) {
		$('a[href^="tel:"]').removeAttr('href').attr('nohref', '').css('cursor', 'default').click(function (event) {
			event.preventDefault();
		});
	}

	/* URLは折り返す */
	$('.acms-entry a[href^="http"]').each(function(){
		if($(this).text().match(/https?:\/\//)){
			var _result = $(this).html().replace(/(https?\:\/\/[a-zA-Z_\/.?#]*)([\s\S]*)/ig,'<span style="word-break: break-all;">$1</span>$2');
			console.info(_result);
			$(this).html(_result);
		}
	});

	/* クリッカブルマップ */
	$('img[usemap]').rwdImageMaps();


	/*
	/*	スマートフォンナビゲーション
	*/

	// 変数定義
	var $spNav = $('.sp-nav'),
		$spNavButton = $('.sp-nav-button'),
		$spNavClose = $('.sp-nav-close'),
		activeClass = '-active';

	// メニューボタン押下時
	$spNavButton.click(function(){
		$spNav.addClass(activeClass);
		$spNavButton.addClass(activeClass).bind('click', spNavClose);
		return false;
	});

	// ページ移動orメニュー閉じるボタン押下時
	window.onunload = spNavClose;
	window.onpagehide = spNavClose;
	$spNavClose.click(function(){ spNavClose(); });
	function spNavClose(ret){
		$spNav.removeClass(activeClass);
		$spNavButton.removeClass(activeClass).unbind('click', spNavClose);
		if( ret === undefined ) return false;
	}

	$('.sp-global-nav a').click(function(){
		spNavClose();
	});


	/*
	/*	画像切り替え
	/*	http://www.tam-tam.co.jp/tipsnote/javascript/post8851.html
	*/
	var $elem = $('.js-image-switch');
	var sp = '_sp.';
	var pc = '_pc.';
	var replaceWidth = 768;
	function imageSwitch() {
		var windowWidth = parseInt($(window).width());
		$elem.each(function() {
			var $this = $(this);
			if(windowWidth >= replaceWidth) {
				$('body').removeClass('sp').addClass('pc');
				$this.attr('src', $this.attr('src').replace(sp, pc));
			} else {
				$('body').removeClass('pc').addClass('sp');
				$this.attr('src', $this.attr('src').replace(pc, sp));
			}
		});
	}
	imageSwitch();


	/*
	/*	リサイズ検知
	*/
	var resizeTimer;
	$(window).on('resize', function() {
		clearTimeout(resizeTimer);
		resizeTimer = setTimeout(function() {
			imageSwitch();
		}, 200);
	});


});
